View Issue Details

IDProjectCategoryView StatusLast Update
0005777Kali Linux[All Projects] Feature Requestspublic2020-06-29 14:53
Reportertjnull Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status acknowledgedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0005777: Adding OSINT tools to Kali Linux
DescriptionA list of OSINT tools that can be useful for other security enthusiasts/ pentesters to use. These tools are currently not in Kali Linux:

Sherlock - https://github.com/sherlock-project/sherlock
SpiderFoot - https://www.spiderfoot.net
Recon-NG - https://github.com/lanmaster53/recon-ng
Email Harvester - https://github.com/maldevel/EmailHarvester
exiftool - https://github.com/exiftool/exiftool
eyewitness - https://github.com/FortyNorthSecurity/EyeWitness
Ghiro - https://github.com/Ghirensics/ghiro
instalooter - https://github.com/althonos/InstaLooter
Knock - https://github.com/guelfoweb/knock
linkedint - https://github.com/vysecurity/LinkedInt
metadata-analysis-tools - https://github.com/metadatacenter/metadata-analysis-tools
Phoneinfoga - https://github.com/sundowndev/PhoneInfoga
Photon - https://github.com/s0md3v/Photon
ReconDog - https://github.com/s0md3v/ReconDog
xillwillx - https://github.com/xillwillx/skiptracer
Stego-Toolkit - https://github.com/DominicBreuker/stego-toolkit
subbrute - https://github.com/TheRook/subbrute
sublist3r - https://github.com/aboul3la/Sublist3r
TheHarvester - https://github.com/laramies/theHarvester
twint - https://github.com/twintproject/twint
twitter exporter - https://github.com/rjbriody/twitter-exporter
Twitter Explort Image Fill - https://github.com/mwichary/twitter-export-image-fill
Xray - https://github.com/evilsocket/xray
Trape - https://github.com/jofpin/trape
Goohak - https://github.com/1N3/Goohak
email2phone - https://github.com/martinvigo/email2phonenumber
AllinOn - https://github.com/thewhiteh4t/FinalRecon
ReconSpider - https://github.com/bhavsec/reconspider
Additional InformationShout out to Cyberviking for providing the list of tools!

Relationships

related to 0006465 acknowledged ghiro - Automated image forensics tool 
related to 0006469 resolvedGamb1t Instaloader - Download pictures (or videos) along with their captions and other metadata from Instagram. 
related to 0006475 acknowledged OSINT-Search - Useful for digital forensics investigations or initial black-box pentest footprinting. 
related to 0004797 acknowledged DumpsterDiver 
related to 0004867 resolvedg0tmi1k Photon - Incredibly fast crawler which extracts urls, emails, files, website accounts and much more. 
related to 0006461 acknowledged buster - An advanced tool for email reconnaissance 
related to 0006462 acknowledged checkdmarc - A Python module and command line utility for validating SPF and DMARC DNS records 
related to 0006463 acknowledged email2phonenumber - A OSINT tool to obtain a target's phone number just by having his email address 
related to 0006464 acknowledged FinalRecon - The Last Web Recon Tool You'll Need 
related to 0006466 acknowledged Goohak - Automatically launch google hacking queries against a target domain to find vulnerabilities and enumerate a target. 
related to 0006467 acknowledged h8mail - email OSINT and breach hunting tool using different breach and reconnaissance services, 
related to 0006468 acknowledged Infoga - Email OSINT 
related to 0006470 acknowledged InstaLooter - Another API-less Instagram pictures and videos downloader. 
related to 0006471 closed Knock - Subdomain Scan 
related to 0006472 acknowledged LinkedInt - Recon Tool 
related to 0006473 acknowledged LittleBrother - Information gathering (OSINT) on a person (EU) 
related to 0006474 acknowledged metadata-analysis-tools - A collection of tools for analyzing metadata. 
related to 0006476 acknowledged PhoneInfoga - Advanced information gathering & OSINT framework for phone numbers 
related to 0006477 acknowledged ReconDog - Reconnaissance Swiss Army Knife 
related to 0006478 acknowledged ReconSpider - Most Advanced Open Source Intelligence (OSINT) Framework for scanning IP Address, Emails, Websites, Organizations. 
related to 0006479 closed skiptracer - OSINT python webscaping framework 
related to 0006480 acknowledged sn0int - Semi-automatic OSINT framework and package manager 
related to 0006481 acknowledged Spiderpig - A document metadata spider. 
related to 0006482 acknowledged stego-toolkit - Collection of steganography tools 
related to 0006483 closed trape - People tracker on the Internet: OSINT analysis and research tool 
related to 0006484 acknowledged TWINT - Twitter Intelligence Tool 
related to 0006485 acknowledged twitter-export-image-fill - A script to download (backup locally) all the images accompanying your tweets 
related to 0006486 acknowledged twitter-exporter - Export twitter neighborhoods to a format that is easily ingested by the DSE Graph Loader 
related to 0006487 acknowledged XRay - recon, mapping and OSINT gathering from public networks. 
related to 0006488 closed FBI - Facebook Information 
related to 0006489 acknowledged instaloctrack - An Instagram OSINT tool to collect all the geotagged locations available on an Instagram profile 

Activities

elwood

2019-11-05 09:41

administrator   ~0011279

Last edited: 2019-11-05 09:41

View 2 revisions

It appears as if a number of these tools are already in Kali. I took a pass and removed all the items that we already have, the list below is the ones that I did not see.

It would be worth looking into packing these up and adding them in.

Sherlock - https://github.com/sherlock-project/sherlock
SpiderFoot - https://www.spiderfoot.net
Email Harvester - https://github.com/maldevel/EmailHarvester
Ghiro - https://github.com/Ghirensics/ghiro
instalooter - https://github.com/althonos/InstaLooter
linkedint - https://github.com/vysecurity/LinkedInt
metadata-analysis-tools - https://github.com/metadatacenter/metadata-analysis-tools
Phoneinfoga - https://github.com/sundowndev/PhoneInfoga
Photon - https://github.com/s0md3v/Photon
ReconDog - https://github.com/s0md3v/ReconDog
xillwillx - https://github.com/xillwillx/skiptracer
Stego-Toolkit - https://github.com/DominicBreuker/stego-toolkit
subbrute - https://github.com/TheRook/subbrute
twint - https://github.com/twintproject/twint
twitter exporter - https://github.com/rjbriody/twitter-exporter
Twitter Explort Image Fill - https://github.com/mwichary/twitter-export-image-fill
Xray - https://github.com/evilsocket/xray
Trape - https://github.com/jofpin/trape
Goohak - https://github.com/1N3/Goohak
email2phone - https://github.com/martinvigo/email2phonenumber
AllinOn - https://github.com/thewhiteh4t/FinalRecon
ReconSpider - https://github.com/bhavsec/reconspider

g0tmi1k

2019-11-07 13:36

administrator   ~0011284

It would be nice if we also converted this list into a metapackage

g0tmi1k

2020-06-17 12:26

administrator   ~0012930

Last edited: 2020-06-17 14:48

View 7 revisions

So looking into the list, we do indeed have some already

- [x] Email Harvester - http://pkg.kali.org/pkg/emailharvester
- [ ] email2phone
- [x] exiftool - http://pkg.kali.org/pkg/libimage-exiftool-perl
- [x] eyewitness - http://pkg.kali.org/pkg/eyewitness
- [ ] FinalRecon
- [ ] Ghiro
- [ ] Goohak
- [ ] instalooter
- [!] ~~Knock~~ <--- Python 2
- [ ] linkedint
- [ ] metadata-analysis-tools
- [ ] Phoneinfoga
- [x] Photon - http://pkg.kali.org/pkg/photon
- [x] Recon-NG - http://pkg.kali.org/pkg/recon-ng
- [ ] ReconDog
- [!] ~~ReconSpider~~ <--- Python 2
- [x] Sherlock - http://pkg.kali.org/pkg/sherlock
- [ ] skiptracer
- [x] SpiderFoot - http://pkg.kali.org/pkg/spiderfoot
- [ ] Stego-Toolkit
- [x] subbrute - http://pkg.kali.org/pkg/sublist3r (subbrute became sublist3r ~ https://bugs.kali.org/view.php?id=1964)
- [x] sublist3r - http://pkg.kali.org/pkg/sublist3r
- [x] TheHarvester - http://pkg.kali.org/pkg/theharvester
- [!] ~~Trape~~ <--- Python 2
- [ ] twint
- [ ] Twitter Export Image Fill
- [ ] twitter exporter
- [ ] Xray

g0tmi1k

2020-06-17 12:38

administrator   ~0012932

Last edited: 2020-06-17 13:06

View 4 revisions

- [ ] buster
- [ ] checkdmarc
- [ ] dumpsterdiver
- [ ] h8mail
- [ ] infoga
- [ ] instaloader
- [ ] Little Brother
- [ ] OSINT-Search
- [ ] photon
- [ ] sn0int
- [ ] spiderpig

Issue History

Date Modified Username Field Change
2019-11-05 01:47 tjnull New Issue
2019-11-05 09:41 elwood Note Added: 0011279
2019-11-05 09:41 elwood Note Edited: 0011279 View Revisions
2019-11-05 09:42 elwood Assigned To => sbrun
2019-11-05 09:42 elwood Status new => assigned
2019-11-07 13:36 g0tmi1k Note Added: 0011284
2019-12-10 11:57 g0tmi1k View Status private => public
2020-01-06 13:01 g0tmi1k Product Version 2019.3 =>
2020-01-06 13:02 g0tmi1k Status assigned => new
2020-01-06 13:04 g0tmi1k Assigned To sbrun =>
2020-01-06 13:04 g0tmi1k Category New Tool Requests => Queued Tool Addition
2020-01-06 13:07 g0tmi1k Status new => acknowledged
2020-01-06 13:08 g0tmi1k Severity major => feature
2020-06-17 12:26 g0tmi1k Note Added: 0012930
2020-06-17 12:27 g0tmi1k Note Edited: 0012930 View Revisions
2020-06-17 12:38 g0tmi1k Note Added: 0012932
2020-06-17 12:38 g0tmi1k Relationship added related to 0004797
2020-06-17 12:38 g0tmi1k Relationship added related to 0004867
2020-06-17 12:42 g0tmi1k Note Edited: 0012930 View Revisions
2020-06-17 12:44 g0tmi1k Note Edited: 0012932 View Revisions
2020-06-17 12:46 g0tmi1k Note Edited: 0012932 View Revisions
2020-06-17 12:50 g0tmi1k Relationship added related to 0006461
2020-06-17 12:53 g0tmi1k Relationship added related to 0006462
2020-06-17 12:58 g0tmi1k Relationship added related to 0006463
2020-06-17 13:00 g0tmi1k Relationship added related to 0006464
2020-06-17 13:05 g0tmi1k Note Edited: 0012930 View Revisions
2020-06-17 13:06 g0tmi1k Note Edited: 0012932 View Revisions
2020-06-17 13:07 g0tmi1k Category Queued Tool Addition => Feature Requests
2020-06-17 14:00 g0tmi1k Relationship added related to 0006465
2020-06-17 14:05 g0tmi1k Relationship added related to 0006466
2020-06-17 14:07 g0tmi1k Relationship added related to 0006467
2020-06-17 14:08 g0tmi1k Relationship added related to 0006468
2020-06-17 14:10 g0tmi1k Relationship added related to 0006469
2020-06-17 14:13 g0tmi1k Relationship added related to 0006470
2020-06-17 14:16 g0tmi1k Relationship added related to 0006471
2020-06-17 14:16 g0tmi1k Note Edited: 0012930 View Revisions
2020-06-17 14:19 g0tmi1k Relationship added related to 0006472
2020-06-17 14:21 g0tmi1k Relationship added related to 0006473
2020-06-17 14:23 g0tmi1k Relationship added related to 0006474
2020-06-17 14:25 g0tmi1k Relationship added related to 0006475
2020-06-17 14:28 g0tmi1k Relationship added related to 0006476
2020-06-17 14:30 g0tmi1k Relationship added related to 0006477
2020-06-17 14:32 g0tmi1k Relationship added related to 0006478
2020-06-17 14:34 g0tmi1k Relationship added related to 0006479
2020-06-17 14:37 g0tmi1k Relationship added related to 0006480
2020-06-17 14:40 g0tmi1k Relationship added related to 0006481
2020-06-17 14:42 g0tmi1k Relationship added related to 0006482
2020-06-17 14:45 g0tmi1k Relationship added related to 0006483
2020-06-17 14:47 g0tmi1k Relationship added related to 0006484
2020-06-17 14:48 g0tmi1k Note Edited: 0012930 View Revisions
2020-06-17 14:48 g0tmi1k Note Edited: 0012930 View Revisions
2020-06-17 14:51 g0tmi1k Relationship added related to 0006485
2020-06-17 14:52 g0tmi1k Relationship added related to 0006486
2020-06-17 14:54 g0tmi1k Relationship added related to 0006487
2020-06-17 15:08 g0tmi1k Relationship added related to 0006488
2020-06-17 15:10 g0tmi1k Relationship added related to 0006489